Summary:         A set of tools to gather troubleshooting information from a system
Name:            sos
Version:         4.4
Release:         3%{?dist}
License:         GPLv2+
Url:             https://github.com/sosreport/sos
Source0:         https://github.com/sosreport/sos/archive/%{version}.tar.gz

Patch5000:       sos-opencloudos-debranding.patch

BuildRequires:   python3-devel gettext
Requires:        tar bzip2 xz python3-rpm python3-pexpect python3-magic python3-requests 
Recommends:      python3-pyyaml

BuildArch:       noarch


%description
Sos is an extensible, portable, support data collection tool 
primarily aimed at Linux distributions and other UNIX-like 
operating systems.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%py3_build


%install
%py3_install '--install-scripts=%{_sbindir}'
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 700 %{buildroot}%{_sysconfdir}/%{name}/cleaner
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/presets.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/groups.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/extras.d
install -m 644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
rm -rf %{buildroot}/usr/config/

%find_lang %{name} || :


%files -f %{name}.lang
%license LICENSE
%doc AUTHORS README.md
%dir /etc/sos/cleaner
%dir /etc/sos/presets.d
%dir /etc/sos/extras.d
%dir /etc/sos/groups.d
%{_sbindir}/sos
%{_sbindir}/sosreport
%{_sbindir}/sos-collector
%config(noreplace) %{_sysconfdir}/sos/sos.conf
%{python3_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Tue Feb 07 2023 Xin Cheng <denisecheng@tencent.com> - 4.4-3
- Rebrand for OpenCloudOS

* Thu Dec 22 2022 ZoeDong <zoedong@tencent.com> - 4.4-2
- Rebrand for OpenCloudOS Stream

* Tue Dec 06 2022 ZoeDong <zoedong@tencent.com> - 4.4-1
- Initial build

